#!/usr/bin/env Rscript

# Package installation, execute once
#if (!require("remotes")) install.packages("remotes")
#remotes::install_github("philipp-baumann/simplerspec")

# Attach package to workspace, execute with every new session
library("simplerspec")

file_path <- "D:\\OpusData\\Spektrometer Anbindung\\Test Daten\\OPUS\\"
file_name <- "Rng02_Rng2630_01.0"

data <- read_opus_univ(paste(file_path, file_name, sep = ""), extract = "spc",
                   atm_comp_minus4offset = FALSE)

data_x_values <- data$`D:\\OpusData\\Spektrometer Anbindung\\Test Daten\\OPUS\\Rng02_Rng2630_01.0`$wavenumbers
data_y_values <- as.numeric(data$`D:\\OpusData\\Spektrometer Anbindung\\Test Daten\\OPUS\\Rng02_Rng2630_01.0`$spc[1,])


print(data_x_values)
# Set working directory to path where the result should appear
setwd(paste(file_path, "..\\DPT", sep = ""))

# Replace last "." with "_", add ".DPT" and create file
file_name <- paste(sub(".([^.]*)$", "_\\1", file_name), ".DPT", sep = "")
file.create(file_name)

# Convert data into dataframe
data <- data.frame(data_x_values, data_y_values, row.names = NULL)

# Fill file with dataframe
write.table(data, file_name, row.names = FALSE, col.names = FALSE, sep=",")



